Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfUseLabelsType

    java.lang.Object
      java.lang.Enum<OdfUseLabelsType>
          org.odftoolkit.odfdom.dom.type.table.OdfUseLabelsType

All Implemented Interfaces:
  Serializable, Comparable<OdfUseLabelsType>

    public enum OdfUseLabelsType

extends Enum<OdfUseLabelsType>

DOM implementation of OpenDocument attribute table:use-labels.

Enum Constant Summary
`BOTH`
`COLUMN`
`NONE`
`ROW`

Method Summary
`static OdfUseLabelsType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfUseLabelsType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfUseLabelsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfUseLabelsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROW

    public static final OdfUseLabelsType ROW

### NONE

    public static final OdfUseLabelsType NONE

### COLUMN

    public static final OdfUseLabelsType COLUMN

### BOTH

    public static final OdfUseLabelsType BOTH

Method Detail

### values

    public static OdfUseLabelsType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfUseLabelsType c : OdfUseLabelsType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfUseLabelsType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfUseLabelsType>`
  Returns:
    return the name of OdfUseLabelsType

### toString

    public static String toString(OdfUseLabelsType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfUseLabelsType, see table:use-labels
  Returns:
    return the name of OdfUseLabelsType

### enumValueOf

    public static OdfUseLabelsType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfUseLabelsType
  Returns:
    return the constant of OdfUseLabelsType, see table:use-labels

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.